Name:		ksplice
Version:	0.9.9
Release:	1.2
Summary:	Patching a Linux kernel without reboot

Group:		System Environment/Kernel
License:	GPLv2
URL:		http://ksplice.com
Source0:	http://ksplice.com/dist/ksplice-%{version}-src.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch:	%{ix86} x86_64

BuildRequires:	autoconf
BuildRequires:	binutils-devel, perl
BuildRequires:	zlib-devel

Requires:	gcc >= 3.4.2
Requires:	patch >= 2.5.4
Requires:	module-init-tools
Requires:	binutils >= 2.12
Requires:	bash >= 2.03
Requires:	make >= 3.78
Requires:	sh-utils, m4,
Requires:	findutils, diffutils, tar, gzip, bzip2, perl, gawk
Requires:	util-linux-ng

%description
Ksplice allows system administrators to apply security patches to the 
Linux kernel without having to reboot. Ksplice takes as input a source 
code change in unified diff format and the kernel source code to be 
patched, and it applies the patch to the corresponding running kernel. 
The running kernel does not need to have been prepared in advance in 
any way.

%prep
%setup -q

# Filter ksplce as a provide

cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
sed -e '/perl(Ksplice)/d'
EOF

%define __perl_provides %{_builddir}/%{name}-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(Ksplice)/d'
EOF

%define __perl_requires %{_builddir}/%{name}-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
autoconf
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/ksplice-*
%{_sbindir}/ksplice-*
%{_libexecdir}/ksplice-*
%{_datadir}/ksplice/
%{_mandir}/man8/ksplice-*

%doc COPYING README

%changelog
* Wed Sep  9 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.9.9-1
- New upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.9.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr  1 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.9.7-3
- Change from ExcludeArch to ExclusiveArch

* Wed Mar 11 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.9.7-2
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.9.6-1
- New upstream release

* Tue Jan  6 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.9.5-1
- New upstream release

* Mon Dec  1 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.4-1
- New upstream release

* Tue Nov 11 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.3-2
- New upstream release

* Thu Oct 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.2-3
- Change upstream URI and Source location

* Wed Oct 29 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.2-2
- Rebase config patch
- New upstream release

* Mon Oct  6 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.1-2
- Fix typo in config patch

* Sun Oct  5 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.1-1
- New upstream release

* Sun Sep 28 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-4
- Rebuild

* Wed Sep 24 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-3
- Comment about upstream status of the zlib patch
- Remove rsync Req./BR.
- Filtering perl(Ksplice)

* Mon Sep 22 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-2
- Add ksplice-zlib-configure patch (BZ #463101)

* Sun Sep 21 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.9.0-1
- New upstream release

* Tue Sep  9 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-12
- Spin off of fedora-ksplice out of this package

* Mon Aug  4 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-11
- Correcting some typos
- Add trap in fedora-ksplice-prepare

* Sun Aug  3 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-10
- Add fedora-ksplice-create script

* Sun Aug  3 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-9
- Rename fedora specific subpackage

* Thu Jul 31 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-8
- Add copyright notice in kspliceprep
- Create ksplice dir and content in kernel sources

* Thu Jul 31 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-7
- Enhanced version of kspliceprep which needs no kernel compilation

* Thu Jul 31 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-6
- Add more kernel-releate Requires
- Add script for prepare fedora sources for ksplice

* Thu Jul 24 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-5
- Filtering perl provides
- Using 'ExcludeArch' instead of 'ExclusiveArch'

* Wed Jul 23 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-3
- Add some new Reqs. and BRs
- Rescrict Arch on %%{x86} and x86_64

* Mon Jul 21 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-2
- Fix broken upstream URI

* Tue Jul  8 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.8.7-1
- Initional Package

